;******************************************************************************
;* TMS470 C/C++ Codegen                                             PC v4.1.2 *
;* Date/Time created: Thu May 03 11:04:53 2012                                *
;******************************************************************************
	.compiler_opts --abi=tiabi --code_state=32 --endian=big --float_support=fpalib --silicon_version=4 
	.state32

DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr DW$CU, DW_AT_name("standard_interrupt.c")
	.dwattr DW$CU, DW_AT_producer("TMS470 C/C++ Codegen PC v4.1.2 Copyright (c) 1996-2005 Texas Instruments Incorporated")
	.dwattr DW$CU, DW_AT_stmt_list(0x00)
	.dwattr DW$CU, DW_AT_TI_VERSION(0x01)
;	C:\CCStudio_v3.1\tms470\cgtools\bin\opt470.exe C:\DOCUME~1\a0271083\LOCALS~1\Temp\TI1002 C:\DOCUME~1\a0271083\LOCALS~1\Temp\TI1004 
	.sect	".text"
	.state32
	.global	_standard_interrupt

DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("standard_interrupt"), DW_AT_symbol_name("_standard_interrupt")
	.dwattr DW$1, DW_AT_low_pc(_standard_interrupt)
	.dwattr DW$1, DW_AT_high_pc(0x00)
	.dwattr DW$1, DW_AT_begin_file("standard_interrupt.c")
	.dwattr DW$1, DW_AT_begin_line(0x0b)
	.dwattr DW$1, DW_AT_begin_column(0x06)
	.dwpsn	"standard_interrupt.c",12,1

	.dwfde DW$CIE

;*****************************************************************************
;* FUNCTION NAME: standard_interrupt                                         *
;*                                                                           *
;*   Regs Modified     : SR                                                  *
;*   Regs Used         : LR,SR                                               *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                   *
;*****************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
_standard_interrupt:
;* --------------------------------------------------------------------------*
	.dwcfa	0x0e, 0
	.dwcfa	0x09, 26, 14
	.dwpsn	"standard_interrupt.c",13,1
        SUBS      PC, LR, #4
	.dwattr DW$1, DW_AT_end_file("standard_interrupt.c")
	.dwattr DW$1, DW_AT_end_line(0x0d)
	.dwattr DW$1, DW_AT_end_column(0x01)
	.dwendentry
	.dwendtag DW$1


;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

DW$T$19	.dwtag  DW_TAG_subroutine_type
	.dwattr DW$T$19, DW_AT_language(DW_LANG_C)

	.dwattr DW$1, DW_AT_external(0x01)
	.dwattr DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

DW$CIE	.dwcie 1, 26
	.dwcfa	0x0c, 13, 0
	.dwcfa	0x07, 0
	.dwcfa	0x07, 1
	.dwcfa	0x07, 2
	.dwcfa	0x07, 3
	.dwcfa	0x08, 4
	.dwcfa	0x08, 5
	.dwcfa	0x08, 6
	.dwcfa	0x08, 7
	.dwcfa	0x08, 8
	.dwcfa	0x08, 9
	.dwcfa	0x08, 10
	.dwcfa	0x08, 11
	.dwcfa	0x07, 12
	.dwcfa	0x07, 13
	.dwcfa	0x07, 14
	.dwcfa	0x07, 15
	.dwcfa	0x07, 16
	.dwcfa	0x07, 17
	.dwcfa	0x07, 18
	.dwcfa	0x07, 19
	.dwcfa	0x07, 20
	.dwcfa	0x07, 21
	.dwcfa	0x07, 22
	.dwcfa	0x07, 23
	.dwcfa	0x07, 24
	.dwcfa	0x07, 25
	.dwcfa	0x07, 26

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

DW$2	.dwtag  DW_TAG_assign_register, DW_AT_name("A1")
	.dwattr DW$2, DW_AT_location[DW_OP_reg0]
DW$3	.dwtag  DW_TAG_assign_register, DW_AT_name("A2")
	.dwattr DW$3, DW_AT_location[DW_OP_reg1]
DW$4	.dwtag  DW_TAG_assign_register, DW_AT_name("A3")
	.dwattr DW$4, DW_AT_location[DW_OP_reg2]
DW$5	.dwtag  DW_TAG_assign_register, DW_AT_name("A4")
	.dwattr DW$5, DW_AT_location[DW_OP_reg3]
DW$6	.dwtag  DW_TAG_assign_register, DW_AT_name("V1")
	.dwattr DW$6, DW_AT_location[DW_OP_reg4]
DW$7	.dwtag  DW_TAG_assign_register, DW_AT_name("V2")
	.dwattr DW$7, DW_AT_location[DW_OP_reg5]
DW$8	.dwtag  DW_TAG_assign_register, DW_AT_name("V3")
	.dwattr DW$8, DW_AT_location[DW_OP_reg6]
DW$9	.dwtag  DW_TAG_assign_register, DW_AT_name("V4")
	.dwattr DW$9, DW_AT_location[DW_OP_reg7]
DW$10	.dwtag  DW_TAG_assign_register, DW_AT_name("V5")
	.dwattr DW$10, DW_AT_location[DW_OP_reg8]
DW$11	.dwtag  DW_TAG_assign_register, DW_AT_name("V6")
	.dwattr DW$11, DW_AT_location[DW_OP_reg9]
DW$12	.dwtag  DW_TAG_assign_register, DW_AT_name("V7")
	.dwattr DW$12, DW_AT_location[DW_OP_reg10]
DW$13	.dwtag  DW_TAG_assign_register, DW_AT_name("V8")
	.dwattr DW$13, DW_AT_location[DW_OP_reg11]
DW$14	.dwtag  DW_TAG_assign_register, DW_AT_name("V9")
	.dwattr DW$14, DW_AT_location[DW_OP_reg12]
DW$15	.dwtag  DW_TAG_assign_register, DW_AT_name("SP")
	.dwattr DW$15, DW_AT_location[DW_OP_reg13]
DW$16	.dwtag  DW_TAG_assign_register, DW_AT_name("LR")
	.dwattr DW$16, DW_AT_location[DW_OP_reg14]
DW$17	.dwtag  DW_TAG_assign_register, DW_AT_name("PC")
	.dwattr DW$17, DW_AT_location[DW_OP_reg15]
DW$18	.dwtag  DW_TAG_assign_register, DW_AT_name("C0")
	.dwattr DW$18, DW_AT_location[DW_OP_reg16]
DW$19	.dwtag  DW_TAG_assign_register, DW_AT_name("C1")
	.dwattr DW$19, DW_AT_location[DW_OP_reg17]
DW$20	.dwtag  DW_TAG_assign_register, DW_AT_name("C2")
	.dwattr DW$20, DW_AT_location[DW_OP_reg18]
DW$21	.dwtag  DW_TAG_assign_register, DW_AT_name("C3")
	.dwattr DW$21, DW_AT_location[DW_OP_reg19]
DW$22	.dwtag  DW_TAG_assign_register, DW_AT_name("C4")
	.dwattr DW$22, DW_AT_location[DW_OP_reg20]
DW$23	.dwtag  DW_TAG_assign_register, DW_AT_name("C5")
	.dwattr DW$23, DW_AT_location[DW_OP_reg21]
DW$24	.dwtag  DW_TAG_assign_register, DW_AT_name("C6")
	.dwattr DW$24, DW_AT_location[DW_OP_reg22]
DW$25	.dwtag  DW_TAG_assign_register, DW_AT_name("C7")
	.dwattr DW$25, DW_AT_location[DW_OP_reg23]
DW$26	.dwtag  DW_TAG_assign_register, DW_AT_name("AP")
	.dwattr DW$26, DW_AT_location[DW_OP_reg24]
DW$27	.dwtag  DW_TAG_assign_register, DW_AT_name("SR")
	.dwattr DW$27, DW_AT_location[DW_OP_reg25]
DW$28	.dwtag  DW_TAG_assign_register, DW_AT_name("CIE_RETA")
	.dwattr DW$28, DW_AT_location[DW_OP_reg26]
	.dwendtag DW$CU

